#ifndef USBDEBUG_DIRECT_H
#define USBDEBUG_DIRECT_H

struct ehci_debug_info {
        void *ehci_base;
        void *ehci_op_base;
        void *ehci_debug_base;
        unsigned devnum;
        unsigned endpoint_out;
        unsigned endpoint_in;
	int inited;
};
extern int usb_bulk_write_x(struct ehci_debug_info *dbg_info, const char *bytes, int size);
extern int usb_bulk_read_x(struct ehci_debug_info *dbg_info, void *data, int size);
extern int usbdebug_direct_init(unsigned ehci_bar, unsigned ehci_debug_offset, struct ehci_debug_info *dbg_info);
extern void set_ehci_base(unsigned ehci_base);
#endif
